"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  getAppInstance: () => getAppInstance2
});
module.exports = __toCommonJS(meta_exports);

// src/devcenter-app-instance-v1-app-instance-app-instances.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressMarketAimApiAppInstanceServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/app-instance-manager-webapp",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/apps",
        destPath: ""
      }
    ],
    "wixapis.com": [
      {
        srcPath: "/apps",
        destPath: ""
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      },
      {
        srcPath: "/api/v1/instance",
        destPath: "/v1/instance"
      },
      {
        srcPath: "/api/v1/scripts",
        destPath: "/v1/scripts"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_app-management_app-instances";
function getAppInstance(payload) {
  function __getAppInstance({ host }) {
    const metadata = {
      entityFqdn: "wix.devcenter.app_instance.v1.app_instance",
      method: "GET",
      methodFqn: "com.wixpress.market.aim.api.AppInstanceService.GetAppInstance",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressMarketAimApiAppInstanceServiceUrl({
        protoPath: "/v1/instance",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [{ path: "instance.billing.freeTrialInfo.endDate" }]
        }
      ])
    };
    return metadata;
  }
  return __getAppInstance;
}

// src/devcenter-app-instance-v1-app-instance-app-instances.meta.ts
function getAppInstance2() {
  const payload = {};
  const getRequestOptions = getAppInstance(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/instance",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getAppInstance
});
//# sourceMappingURL=meta.js.map